#include "terminal.h"
#include "sys/io.h"
#include "kprintf.h"

uint8_t terminal_getkey()
{
    static uint8_t prev_scan_code = 0;
    uint8_t scan_code;

    scan_code = inb(KEYBOARD_PORT);
    if (scan_code != prev_scan_code && prev_scan_code != 0)
        kprintf(0, "%d", scan_code);
    prev_scan_code = scan_code;
    return scan_code;
}